
Name:    libkdegames
Summary: Common code and data for many KDE games
Group: Desktop Environment/Libraries
Version: 4.10.2
Release: 1%{?dist}

# KDE e.V. may determine that future GPL versions are accepted
License: GPLv2 or GPLv3
URL:     https://projects.kde.org/projects/kde/kdegames/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: pkgconfig(openal)
BuildRequires: pkgconfig(sndfile)

Obsoletes: kdegames-libs < 6:4.9.60
Provides:  kdegames-libs = 6:%{version}-%{release}
Provides:  kdegames-libs%{?_isa} = 6:%{version}-%{release}

Requires: kdelibs4%{?_isa} >= %{_kde4_version}

%description
%{summary}.

%package devel
Summary:  Development files for %{name} 
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel 
Obsoletes: kdegames-devel < 6:4.9.60
Provides:  kdegames-devel = 6:%{version}-%{release}
Provides:  kdegames4-devel = %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING README TODO
%{_kde4_libdir}/libkdegames.so.6*
%{_kde4_libdir}/libkdegamesprivate.so.1*
%{_kde4_appsdir}/carddecks/
%{_kde4_appsdir}/kconf_update/kgthemeprovider-migration.upd

%files devel
%{_kde4_includedir}/*.h
%{_kde4_includedir}/highscore/
%{_kde4_includedir}/KDE/*
%{_kde4_includedir}/libkdegamesprivate/
%{_kde4_libdir}/cmake/KDEGames/
%{_kde4_libdir}/libkdegames.so
%{_kde4_libdir}/libkdegamesprivate.so


%changelog
* Fri Apr 05 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.2-1
- Built for Fuduntu

* Fri Apr 05 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.2-1
- Built for Fuduntu

* Sat Mar 16 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Sat Mar 16 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Fri Mar 15 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Thu Feb 28 2013 %packager Shawn W Dunn <sfalken@gmail.com> - 4.10.0-1
- Built for Fuduntu

* Thu Feb 07 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-1
- first try

